#
# spec file for package xsession (Version 1.1)
#
# Copyright (c) 2007 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild

Name:           xsession
BuildRequires:  xorg-x11 xorg-x11-devel
License:        Other License(s), see package
Group:          System/X11/Utilities
Autoreqprov:    on
Version:        1.1
Release:        1061
Summary:        A session manager
Source:         xsession-1.1.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%{expand: %%global _exec_prefix %(type -p pkg-config &>/dev/null && pkg-config --variable prefix x11 || echo /usr/X11R6)}
%if "%_exec_prefix" == "/usr/X11R6"

%global _mandir     %{_exec_prefix}/man
%define _x11data    %{_exec_prefix}/lib/X11
%define _appdefdir  %{_x11data}/app-defaults
%else
%define _x11data    %{_datadir}/X11
%define _appdefdir  %{_x11data}/app-defaults
%endif

%description
The xsession program is a session manager.  It is normally executed by
your ~/.xinitrc (or ~/.xsession) script and controls your X Window
session.  As soon as it is started, xsession launches a window manager
and some applications of your choice.  At anytime during your session,
you may switch to another window manager or execute some other
applications from the xsession menus.

Examples may be found under /usr/share/doc/packages/xsession/examples.



Authors:
--------
    Alain Nissen <nissen@montefiore.ulg.ac.be>
    Raphael Quinet <quinet@stud.montefiore.ulg.ac.be>

%prep
%setup

%build
xmkmf -a
make CCOPTIONS="$RPM_OPT_FLAGS"

%install
make DESTDIR=%{buildroot} install
make DESTDIR=%{buildroot} install.man

%files
%defattr(-,root,root)
%doc CHANGES ChangeLog INSTALL README examples
%{_bindir}/xsession
%config %{_appdefdir}/XSession
%config %{_appdefdir}/XSession-color
%doc %{_mandir}/man1/xsession.1x.gz

%changelog -n xsession
* Thu Jan 25 2007 - meissner@suse.de
- use RPM_OPT_FLAGS
* Wed Aug 02 2006 - werner@suse.de
- Make it build with X11R7
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Sun Jan 11 2004 - adrian@suse.de
- added %%defattr
* Fri Jun 13 2003 - coolo@suse.de
- use BuildRoot
* Tue Sep 17 2002 - ro@suse.de
- removed bogus self-provides
* Thu Dec 14 2000 - werner@suse.de
- Group tag
* Wed May 31 2000 - ro@suse.de
- specfile cleanup, doc relocation
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Sun Oct 26 1997 - kfr@suse.de
- creating dif for rpm
* Sun Jun 01 1997 - bs@suse.de
- moved var/X11R6/lib/app-defaults to usr/X11R6/lib/X11/app-defaults
